Module java.xml.ws
Package javax.xml.ws

## Annotation Type ResponseWrapper

-     @Target(METHOD)
      @Retention(RUNTIME)
      @Documented
      public @interface ResponseWrapper

  Used to annotate methods in the Service Endpoint Interface with the response wrapper bean to be used at runtime. The default value of the `localName` is the `operationName` as defined in `WebMethod` annotation appended with `Response` and the `targetNamespace` is the target namespace of the SEI.

  When starting from Java this annotation is used resolve overloading conflicts in document literal mode. Only the `className` is required in this case.

  Since:
    1.6, JAX-WS 2.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `className` | Response wrapper bean name.
    `String` | `localName` | Element's local name.
    `String` | `partName` | wsdl:part name for the wrapper part
    `String` | `targetNamespace` | Element's namespace name.

- - ### Element Detail

    - #### localName

          String localName

      Element's local name.
      Returns:
        local name
      Default:
        ""

  - - #### targetNamespace

          String targetNamespace

      Element's namespace name.
      Returns:
        target namespace name
      Default:
        ""

  - - #### className

          String className

      Response wrapper bean name.
      Returns:
        bean name
      Default:
        ""

  - - #### partName

          String partName

      wsdl:part name for the wrapper part
      Returns:
        wsdl:part name
      Since:
        1.7, JAX-WS 2.2
      Default:
        ""